Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_digest.h File Reference

Go to the source code of this file.

## Functions
const EVP_MD * | ossl_evp_get_digestbyname (VALUE)
VALUE | ossl_digest_new (const EVP_MD *)
void | Init_ossl_digest (void)

## Variables
VALUE | cDigest
VALUE | eDigestError

## Function Documentation

## ◆ Init_ossl_digest()

void Init_ossl_digest | ( | void |  | ) |

Definition at line 314 of file ossl_digest.c.

References cDigest, eDigestError, eOSSLError, mOSSL, rb_define_alloc_func(), rb_define_class_under(), rb_define_module(), rb_eStandardError, rb_path2class(), and rb_require().

## ◆ ossl_digest_new()

VALUE ossl_digest_new | ( | const EVP_MD * |  | ) |

Definition at line 73 of file ossl_digest.c.

## ◆ ossl_evp_get_digestbyname()

const EVP_MD* ossl_evp_get_digestbyname | ( | VALUE |  | ) |

Definition at line 45 of file ossl_digest.c.

References GetDigest, name, NULL, obj, ossl_raise(), PRIsVALUE, rb_eRuntimeError, RB_TYPE_P, StringValueCStr, and T_STRING.

## Variable Documentation

## ◆ cDigest

VALUE cDigest

Definition at line 22 of file ossl_digest.c.

Referenced by Init_ossl_digest().

## ◆ eDigestError

VALUE eDigestError

Definition at line 23 of file ossl_digest.c.

Referenced by Init_ossl_digest(), and ossl_digest_update().